#VU25858 Permissions, Privileges, and Access Controls


Published: 2020-03-10

Vulnerability identifier: #VU25858

Vulnerability risk: Low

CVSSv3.1: 3.8 [CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-6813

CWE-ID: CWE-264

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Mozilla Firefox
Client/Desktop applications / Web browsers

Vendor: Mozilla

Description

The vulnerability allows a remote attacker to bypass certain security restrictions.

When protecting CSS blocks with the nonce feature of Content Security Policy, the @import statement in the CSS block could allow an attacker to inject arbitrary styles, bypassing the intent of the Content Security Policy.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

Mozilla Firefox: 65.0 - 73.0.1


CPE

External links
http://www.mozilla.org/en-US/security/advisories/mfsa2020-08/
http://bugzilla.mozilla.org/show_bug.cgi?id=1605814


Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.


Latest bulletins with this vulnerability